diff --git a/src/tools/msvc/Mkvcbuild.pm b/src/tools/msvc/Mkvcbuild.pm
index 30c1265..2667591 100644
--- a/src/tools/msvc/Mkvcbuild.pm
+++ b/src/tools/msvc/Mkvcbuild.pm
@@ -208,7 +208,12 @@ sub mkvcbuild
 		  $solution->AddProject('pltcl', 'dll', 'PLs', 'src/pl/tcl');
 		$pltcl->AddIncludeDir($solution->{options}->{tcl} . '/include');
 		$pltcl->AddReference($postgres);
-		if (-e $solution->{options}->{tcl} . '/lib/tcl85.lib')
+		if (-e $solution->{options}->{tcl} . '/lib/tcl86t.lib')
+		{
+			$pltcl->AddLibrary(
+				$solution->{options}->{tcl} . '/lib/tcl86t.lib');
+		}
+		elsif (-e $solution->{options}->{tcl} . '/lib/tcl85.lib')
 		{
 			$pltcl->AddLibrary(
 				$solution->{options}->{tcl} . '/lib/tcl85.lib');
